- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_svc_ctx.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_op_ctx.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_svc_ctx | axis2_svc_ctx_t
## Functions
AXIS2_EXTERN axis2_svc_ctx_t * | axis2_svc_ctx_create (const axutil_env_t *env, struct axis2_svc *svc, struct axis2_svc_grp_ctx *svc_grp_ctx)
AXIS2_EXTERN axis2_ctx_t * | axis2_svc_ctx_get_base (const axis2_svc_ctx_t *svc_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_svc_grp_ctx * | axis2_svc_ctx_get_parent (const axis2_svc_ctx_t *svc_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svc_ctx_set_parent (axis2_svc_ctx_t *svc_ctx, const axutil_env_t *env, struct axis2_svc_grp_ctx *parent)
AXIS2_EXTERN void | axis2_svc_ctx_free (struct axis2_svc_ctx *svc_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svc_ctx_init (struct axis2_svc_ctx *svc_ctx, const axutil_env_t *env, struct axis2_conf *conf)
AXIS2_EXTERN const axis2_char_t * | axis2_svc_ctx_get_svc_id (const axis2_svc_ctx_t *svc_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_svc * | axis2_svc_ctx_get_svc (const axis2_svc_ctx_t *svc_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svc_ctx_set_svc (axis2_svc_ctx_t *svc_ctx, const axutil_env_t *env, struct axis2_svc *svc)
AXIS2_EXTERN struct axis2_conf_ctx * | axis2_svc_ctx_get_conf_ctx (const axis2_svc_ctx_t *svc_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_op_ctx * | axis2_svc_ctx_create_op_ctx (struct axis2_svc_ctx *svc_ctx, const axutil_env_t *env, const axutil_qname_t *qname)

## Detailed Description